Subject: Re: [PATCH 2.6.19] ehca: bug fix: use wqe offset instead wqe address to determine pending work requests

From: Roland Dreier <[email-masked]>
Date: Wed, 22 Nov 2006 15:04:01 -0800

> We found this bug actually through a code review by random. Since
 > (un)fortunately the queue pages were layouted in order, we've not
 > seen it earlier. It's certainly a bug and can cause kernel panic 
 > if above observation is not met, probably in stress situation
 > of system. That means the "former" code accesses next page that 
 > it has not allocated.

OK.  After thinking about this, I'm going to queue it for 2.6.20 --
we're _way_ too close to the 2.6.19 final release to put in patches
that aren't either small and obvious, or fix a problem someone hit in
real life.

 - R.